org.apache.lucene.analysis.el

## Class GreekStemmer

- java.lang.Object
- - org.apache.lucene.analysis.el.GreekStemmer

-     public class GreekStemmer
      extends Object

  A stemmer for Greek words, according to: Development of a Stemmer for the Greek Language. Georgios Ntais

  NOTE: Input is expected to be casefolded for Greek (including folding of final sigma to sigma), and with diacritics removed. This can be achieved with either `GreekLowerCaseFilter` or ICUFoldingFilter.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GreekStemmer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `stem(char[] s, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GreekStemmer

          public GreekStemmer()

  - ### Method Detail

    - #### stem

          public int stem(char[] s,
                 int len)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.